package com.yihu.wlyy.entity.demographic;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * 人口学之家庭信息。此信息从基卫导出，表名与基卫一致。
 */
@Entity
@Table(name = "tbl_family")
public class FamilyInfo implements java.io.Serializable {
    private Integer id;//记录编码
    private String village;//居委会编码
    private String team;//组编码
    private String familyno;//家庭编号
    private String doornumb;//分户编号
    private String familyadd;//家庭地址
    private String doorno;//门牌号
    private String zipcode;//家庭邮编
    private String doorman;//房东姓名
    private String doormantel;//房东联系电话
    private Integer operatorid;//录入操作员
    private String checkunit;//登记单位
    private Timestamp checkdate;//登记日期
    private Timestamp intime;//入库时间
    private String cancelcau;//注销原因
    private Timestamp canceldate;//注销日期
    private String memo;//备注
    private Timestamp lastmodifydate;//末次修改时间
    private String ftype;//住房类型
    private Timestamp updatedate;//
    private Integer upoperater;//
    private String doorcardid;//房东身份证
    private Integer doorpersonid;//房东关联id
    private String persontype;//人口类型
    private String mzdzm;

    public FamilyInfo(String village, String team, String familyno,
                      String doornumb, String familyadd, String doorno, String zipcode,
                      String doorman, String doormantel, Integer operatorid,
                      String checkunit, Timestamp checkdate, Timestamp intime,
                      String cancelcau, Timestamp canceldate, String memo,
                      Timestamp lastmodifydate, String ftype, Timestamp updatedate,
                      Integer upoperater, String doorcardid, Integer doorpersonid,
                      String persontype, String mzdzm) {
        this.village = village;
        this.team = team;
        this.familyno = familyno;
        this.doornumb = doornumb;
        this.familyadd = familyadd;
        this.doorno = doorno;
        this.zipcode = zipcode;
        this.doorman = doorman;
        this.doormantel = doormantel;
        this.operatorid = operatorid;
        this.checkunit = checkunit;
        this.checkdate = checkdate;
        this.intime = intime;
        this.cancelcau = cancelcau;
        this.canceldate = canceldate;
        this.memo = memo;
        this.lastmodifydate = lastmodifydate;
        this.ftype = ftype;
        this.updatedate = updatedate;
        this.upoperater = upoperater;
        this.doorcardid = doorcardid;
        this.doorpersonid = doorpersonid;
        this.persontype = persontype;
        this.mzdzm = mzdzm;
    }

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "ID", unique = true, nullable = false)
    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @Column(name = "VILLAGE", length = 12)
    public String getVillage() {
        return this.village;
    }

    public void setVillage(String village) {
        this.village = village;
    }

    @Column(name = "TEAM", length = 4)
    public String getTeam() {
        return this.team;
    }

    public void setTeam(String team) {
        this.team = team;
    }

    @Column(name = "FAMILYNO", length = 6)
    public String getFamilyno() {
        return this.familyno;
    }

    public void setFamilyno(String familyno) {
        this.familyno = familyno;
    }

    @Column(name = "DOORNUMB", length = 4)
    public String getDoornumb() {
        return this.doornumb;
    }

    public void setDoornumb(String doornumb) {
        this.doornumb = doornumb;
    }

    @Column(name = "FAMILYADD", length = 80)
    public String getFamilyadd() {
        return this.familyadd;
    }

    public void setFamilyadd(String familyadd) {
        this.familyadd = familyadd;
    }

    @Column(name = "DOORNO", length = 20)
    public String getDoorno() {
        return this.doorno;
    }

    public void setDoorno(String doorno) {
        this.doorno = doorno;
    }

    @Column(name = "ZIPCODE", length = 6)
    public String getZipcode() {
        return this.zipcode;
    }

    public void setZipcode(String zipcode) {
        this.zipcode = zipcode;
    }

    @Column(name = "DOORMAN", length = 50)
    public String getDoorman() {
        return this.doorman;
    }

    public void setDoorman(String doorman) {
        this.doorman = doorman;
    }

    @Column(name = "DOORMANTEL", length = 60)
    public String getDoormantel() {
        return this.doormantel;
    }

    public void setDoormantel(String doormantel) {
        this.doormantel = doormantel;
    }

    @Column(name = "OPERATORID")
    public Integer getOperatorid() {
        return this.operatorid;
    }

    public void setOperatorid(Integer operatorid) {
        this.operatorid = operatorid;
    }

    @Column(name = "CHECKUNIT", length = 12)
    public String getCheckunit() {
        return this.checkunit;
    }

    public void setCheckunit(String checkunit) {
        this.checkunit = checkunit;
    }

    @Column(name = "CHECKDATE", length = 0)
    public Timestamp getCheckdate() {
        return this.checkdate;
    }

    public void setCheckdate(Timestamp checkdate) {
        this.checkdate = checkdate;
    }

    @Column(name = "INTIME", length = 0)
    public Timestamp getIntime() {
        return this.intime;
    }

    public void setIntime(Timestamp intime) {
        this.intime = intime;
    }

    @Column(name = "CANCELCAU", length = 1)
    public String getCancelcau() {
        return this.cancelcau;
    }

    public void setCancelcau(String cancelcau) {
        this.cancelcau = cancelcau;
    }

    @Column(name = "CANCELDATE", length = 0)
    public Timestamp getCanceldate() {
        return this.canceldate;
    }

    public void setCanceldate(Timestamp canceldate) {
        this.canceldate = canceldate;
    }

    @Column(name = "MEMO", length = 210)
    public String getMemo() {
        return this.memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    @Column(name = "LASTMODIFYDATE", length = 0)
    public Timestamp getLastmodifydate() {
        return this.lastmodifydate;
    }

    public void setLastmodifydate(Timestamp lastmodifydate) {
        this.lastmodifydate = lastmodifydate;
    }

    @Column(name = "FTYPE", length = 1)
    public String getFtype() {
        return this.ftype;
    }

    public void setFtype(String ftype) {
        this.ftype = ftype;
    }

    @Column(name = "UPDATEDATE", length = 0)
    public Timestamp getUpdatedate() {
        return this.updatedate;
    }

    public void setUpdatedate(Timestamp updatedate) {
        this.updatedate = updatedate;
    }

    @Column(name = "UPOPERATER")
    public Integer getUpoperater() {
        return this.upoperater;
    }

    public void setUpoperater(Integer upoperater) {
        this.upoperater = upoperater;
    }

    @Column(name = "DOORCARDID", length = 18)
    public String getDoorcardid() {
        return this.doorcardid;
    }

    public void setDoorcardid(String doorcardid) {
        this.doorcardid = doorcardid;
    }

    @Column(name = "DOORPERSONID")
    public Integer getDoorpersonid() {
        return this.doorpersonid;
    }

    public void setDoorpersonid(Integer doorpersonid) {
        this.doorpersonid = doorpersonid;
    }

    @Column(name = "PERSONTYPE", length = 1)
    public String getPersontype() {
        return this.persontype;
    }

    public void setPersontype(String persontype) {
        this.persontype = persontype;
    }

    @Column(name = "MZDZM", length = 12)
    public String getMzdzm() {
        return this.mzdzm;
    }

    public void setMzdzm(String mzdzm) {
        this.mzdzm = mzdzm;
    }

}